%{?python_enable_dependency_generator}
%global module tscli
%global name transtats-cli
%global name_with_underscore transtats_cli
%global sum Transtats command line interface to query transtats server
%global project transtats

Name:           %{name}
Version:        0.2.0
Release:        4%{?dist}
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/%{project}/%{name}
Source0:        https://github.com/%{project}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Transtats command line interface to query transtats server.

%package -n python3-%{name}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-click
BuildRequires: python3-requests
BuildRequires: python3-mock
BuildRequires: python3-six
BuildRequires: python3-flake8
BuildRequires: python3-tabulate
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Transtats command line interface to query transtats server.


%prep
%autosetup -n %{name}-%{version}
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests


%check
%{__python3} setup.py flake8 test

%files -n python3-%{name}
%doc README.md transtats.conf
%license LICENSE
%{_bindir}/%{project}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz
%{_datadir}/bash-completion/completions/transtats.bash

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 16 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Enable python dependency generator

* Tue Jan 15 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Subpackage python2-transtats-cli has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Aug 04 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.2.0-1
- Update to 0.2.0 version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Sundeep Anand <suanand AT redhat DOT com> - 0.1.2-1
- Update transtats-cli to version 0.1.2, update 

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Jan Beran <jberan@redhat.com> - 0.1.1-4
- Fix of python3-transtats-cli requires both Python 2 and Python 3 (rhbz#1531568)

* Wed Nov 15 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.1-3
- Update transtats-cli to version 0.1.1, update endpoints

* Wed Oct 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0-4
- Fix Python 3 dependency from python2-transtats-cli
Resolves: rhbz#1495860

* Wed Sep 13 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-3
- Add man page to transtats-cli

* Tue Sep 12 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-2
- Update Spec file for py2 and py3

* Thu Sep 07 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-1
- Initial RPM Packaging
